from cryptography.fernet import Fernet

# Generate a key for encryption and decryption
key = Fernet.generate_key()
cipher_suite = Fernet(key)

# Function to encrypt and save text data to a locked file
def encrypt_and_save(text_data, filename):
    encrypted_data = cipher_suite.encrypt(text_data.encode())
    
    with open(filename, 'wb') as file:
        file.write(encrypted_data)

    print(f"Text data encrypted and saved to {filename}")

# Example usage: Encrypt and save text data to a locked file
text_to_encrypt = "This is a secret message."
encrypted_file = 'locked_file.txt'

encrypt_and_save(text_to_encrypt, encrypted_file)
